<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.crm.ucard.dao.mapper.CardOccupationsMapper">

    <insert id="batchSave" parameterType="java.util.List">
        insert ignore into ucard_occupations(`occupation_code`,`description`,`add_time`)
        values
        <foreach collection="list" item="item" index="index" separator=",">
            (#{item.occupationCode},#{item.description},#{item.addTime})
        </foreach>
    </insert>
    <delete id="deleteAll">
        delete from ucard_occupations
    </delete>

</mapper>